List an agent's published versions
GET
/v1/agents/{agent_id}/versions
const url = 'https://api.vocapable.com/v1/agents/example/versions?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/agents/example/versions?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CursorPage[AgentVersionSummary]
object
data
required
Data
Array<object>
AgentVersionSummaryAn immutable published snapshot, as a list row.
object
id
required
Id
string
agent_definition_id
required
Agent Definition Id
string
version
required
Version
integer
content_hash
required
Content Hash
string
action_confirmation_policy
Action Confirmation Policy
string
max_call_seconds
required
Max Call Seconds
integer
receptionist_release_status
Receptionist Release Status
string
compliance_profile_id
required
Compliance Profile Id
string
gate_eval_run_id
required
Gate Eval Run Id
string
published_at
required
Published At
string format: date-time
has_more
Has More
boolean
Example
{ "data": [ { "action_confirmation_policy": "legacy_v0", "receptionist_release_status": "not_applicable" } ], "has_more": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}